* {
  padding: 0;
  margin: 0;
  outline: none;
  font-family: sans-serif;
}

main {
  display: flex;
  justify-content: space-between;
}

i {
  cursor: pointer;
}

.sidebar {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-right: 1px solid rgb(210, 202, 202);
  width: 18%;
  height: 100vh;
  font-size: 20px;
  position: fixed;
}

.logo {
  /* font-size: 30px; */
  /* text-align: center; */
}

.logo,
.sidebar-options div,
.bottom-option {
  padding: 20px;
  cursor: pointer;
}

.sidebar-options div i,
.bottom-option i {
  margin-right: 20px;
}

.sidebar-options > *:hover,
.bottom-option:hover {
  background-color: rgb(234, 232, 229);
  cursor: pointer;
}

/* main view */

.main-view {
  width: 50%;
  padding: 25px;
  margin-left: 20%;
}

/* stories */

.stories {
  display: flex;
  /* border: 1px solid black; */
  padding: 10px;
  /* overflow-x: auto; */
  /* scrollbar-width: none; */
}

.stories i {
  /* position: fixed;
  right: 50;
  top: 100; */
  /* float: right; */
  /* background-color: green; */
}

.story {
  text-align: center;
}
.story img {
  display: block;
  padding: 10px;
  margin: 10px;
  border-radius: 80px;
  background-color: rgb(250, 250, 250);
  border: 3px solid rgb(226, 24, 57);
}

/* right-panel */

.right-panel {
  width: 30%;
  padding: 50px;
  font-size: 14px;
}

.right-panel > * {
  margin-bottom: 30px;
}

/* scrollbar */
/* hide scrollbar but allow scrolling */
.stories {
  -ms-overflow-style: none; /* for Internet Explorer, Edge */
  scrollbar-width: none; /* for Firefox */
  overflow-y: scroll;
}

.stories::-webkit-scrollbar {
  display: none; /* for Chrome, Safari, and Opera */
}

/* feeds */

.feeds {
  display: flex;
  flex-direction: column;
  /* justify-content: center; */
  /* align-items: center; */
  padding: 0px 20%;
  /* width: 40%; */
  /* background-color: green; */
}

/* feed */

.feed {
  /* background-color: yellow; */
}
.feed-header {
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 10px 10px 10px 0px;
}

.feed-profile-pic {
  border: 3px solid rgb(226, 24, 57);
  border-radius: 80px;
  padding: 5px;
}

.feed-pro le-name {
  font-weight: bold;
}

.feed-posted-details {
  color: rgb(132, 128, 128);
}

.feed-post img {
  width: 100%;
}

.feed-interaction {
  display: flex;
  justify-content: space-between;
  padding: 10px 0px;
}

.left-actions > * {
  margin-right: 15px;
}

.likes {
  font-weight: bold;
  font-size: 18px;
}

.feed-description {
  font-size: 18px;
}

.feed-comment-input input {
  width: 100%;
  padding: 10px 0px;
  margin: 10px 0px;
  border-top: none;
  border-left: none;
  border-right: none;
}

.suggestions {
  font-size: 14px;
}

.suggestions-heading {
  display: flex;
  justify-content: space-between;
  /* background-color: green; */
  padding: 10px 0px;
}

.suggested-profile {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  /* width: 90%; */
}

.suggested-profile .profile-name {
  padding: 10px;
}

.follow-btn {
  color: blue;
  font-weight: 300;
}

.profile-image-name {
  display: flex;
  align-items: center;
}

.profile-name-span {
  font-weight: bold;
}

.footer {
  padding: 10px 0px;
}

.footer span {
  padding: 10px 0px;
}

@media screen and (max-width: 1100px) {
  .right-panel,
  .sidebar {
    display: none;
  }

  .feeds {
    padding: 0px;
    max-width: 600px;
  }

  .stories {
    display: none;
  }
  .main-view {
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
    padding: 25px;
    margin-left: 0;
  }
}
